Package com.rosivanyshyn.service.impl

# Class ResponseToOrderServiceImpl

java.lang.Object
com.rosivanyshyn.service.impl.ResponseToOrderServiceImpl

All Implemented Interfaces:
  `ResponseToOrderService`

public class ResponseToOrderServiceImpl extends Object implements ResponseToOrderService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseToOrderServiceImpl(ResponseToOrderDAO responseToOrderDAO, OrderDAO orderDAO, DBManager dbManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `createResponseToOrder(Order order, ResponseToOrder responseToOrder, ArrayList<Apartment> apartments)`
  Attach response-to-order in order and submit apartment to response-to-order
  `ArrayList<Apartment>`
  `findAllResponseApartments(ResponseToOrder responseToOrder)`
  Get submitted apartments to response-to-order
  `ResponseToOrder`
  `findResponseToOrderByField(String field, Object value)`
  Find response-to-order by field
  `Boolean`
  `updateResponseToOrder(ResponseToOrder responseToOrder)`
  Update response-to-order

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseToOrderServiceImpl

    public ResponseToOrderServiceImpl(ResponseToOrderDAO responseToOrderDAO, OrderDAO orderDAO, DBManager dbManager)

- ## Method Details

  - ### createResponseToOrder

    public Boolean createResponseToOrder(Order order, ResponseToOrder responseToOrder, ArrayList<Apartment> apartments)
    Attach response-to-order in order and submit apartment to response-to-order
    Specified by:
      `createResponseToOrder` in interface `ResponseToOrderService`
    Parameters:
      `order` - order in which attach response
      `responseToOrder` - response-to-order in which submit apartment
      `apartments` - submittable apartments
    Returns:
      result of operation

  - ### findResponseToOrderByField

    public ResponseToOrder findResponseToOrderByField(String field, Object value)
    Description copied from interface: `ResponseToOrderService`
    Find response-to-order by field
    Specified by:
      `findResponseToOrderByField` in interface `ResponseToOrderService`
    Parameters:
      `field` - field name
      `value` - unique field value
    Returns:
      found response-to-order

  - ### updateResponseToOrder

    public Boolean updateResponseToOrder(ResponseToOrder responseToOrder)
    Description copied from interface: `ResponseToOrderService`
    Update response-to-order
    Specified by:
      `updateResponseToOrder` in interface `ResponseToOrderService`
    Parameters:
      `responseToOrder` - response-to-order to update
    Returns:
      operation result

  - ### findAllResponseApartments

    public ArrayList<Apartment> findAllResponseApartments(ResponseToOrder responseToOrder)
    Get submitted apartments to response-to-order
    Specified by:
      `findAllResponseApartments` in interface `ResponseToOrderService`
    Parameters:
      `responseToOrder` - response-to-order in which submitted apartments
    Returns:
      submitted apartments